package com.sqx.modules.shop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.shop.entity.ShopType;

public interface ShopTypeService extends IService<ShopType> {

    Result insertShopType(ShopType shopType);

    Result updateShopType(ShopType shopType);

    Result deleteShopType(Long shopTypeId);

    Result selectShopTypeList(Integer page, Integer limit);
}
